#!/usr/bin/python3

# Requirements: phantomjs, ntpdate, requests
from __future__ import print_function
from abc import ABC, abstractmethod


class Executor(ABC):
    def __init__(self, task):
        self.set_task(task)

    def set_task(self, task):
        self.task = task

    def get_task(self):
        return self.task

    @abstractmethod
    def convetColonSytx(self, resultParam) -> str:
        pass

    @abstractmethod
    def executeTask(self, cmd) -> str:
        pass
